document.addEventListener('DOMContentLoaded', () => {
  // Add hover effects
  const shortcutItems = document.querySelectorAll('.shortcut-item');
  shortcutItems.forEach(item => {
    item.addEventListener('mouseenter', () => {
      item.style.transform = 'translateX(5px)';
      item.style.transition = 'transform 0.2s ease';
    });
    item.addEventListener('mouseleave', () => {
      item.style.transform = 'translateX(0)';
    });
  });

  // Add print keyboard shortcut
  document.addEventListener('keydown', (e) => {
    if ((e.ctrlKey || e.metaKey) && e.key === 'p') {
      window.print();
      e.preventDefault();
    }
  });
});